/* .alert-danger,
.alert-success {
    position: absolute;
    z-index: 9999;
    width: 300px;
    top: 0px;
    left: 50%;
    transform: translate(-50%);
    margin: auto;
    text-align: center;
} */

/* 必填红点 */
/* .required::before {
    content: "*";
    color: red;
} */

/* 或者 */
.required::after {
    content: "*";
    color: red;
}

.login-select {
    float: right;
    max-width: 100px;
}

.login-logo {
    position: relative;
    width: 100%;
    margin-top: 40px;
}

.mhm-table-bordered {
    border: 1px solid #eff2f7;
}

/**------------table相关样式开始----------------------**/
table.mhm-table-bordered.dataTable th,
table.table-bordered.dataTable td {
    border-left-width: 0;
}

.mhm-table-bordered td,
.mhm-table-bordered th {
    border: 1px solid #eff2f7;
}

.mhm-table-bordered {
    width: 100%
}

.mhm-table-bordered .dtr-data {
    white-space: initial;
    word-break: break-all;
}

.mhm-table-bordered tr.child ul.dtr-details {
    width: 100%;
}

.table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before {
    margin-top: 0;
    top: auto !important;
}

.number-col, .check-col {
    width: 50px !important;
}

.dataTables_processing {
    background-color: rgba(221, 221, 221, 0.699) !important;
}

/**------------table相关样式结束----------------------**/
/**bootstrap select 全选 反选按钮样式**/
.dropdown-menu .btn-group {
    display: flex;
}

textarea {
    resize: none;
}

.append-success-danger {
    position: fixed;
    width: 280px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 1051;
}

/**按钮 下拉 小三角图标 Start*/
.caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px solid;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

.btn .caret {
    margin-left: 0;
}

.btn-lg .caret {
    border-width: 5px 5px 0;
    border-bottom-width: 0;
}

.dropup .btn-lg .caret {
    border-width: 0 5px 5px;
}

/**按钮 下拉 小三角图标 End*/

/* 表格垂直居中 */
.table > tbody {
    vertical-align: revert !important;
}

/* 页面表格，最后一行不显示边框 */
.table-bordered td,
.table-bordered th,
.mhm-table-bordered td,
.mhm-table-bordered th {
    border: 1px solid #eff2f7 !important;
}

/*日期点击事件框展示选择项*/
input[type='date'] {
    position: relative;
}

input[type='date']::-webkit-calendar-picker-indicator {
    position: absolute;
    right: 0;
    padding-left: calc(100% - 40px);
    padding-right: 10px;
    background-color: transparent;
}

select {
    cursor: pointer;
}

/*鼠标经过变成手型*/
.date-picker, .datetime-picker, input.select-page {
    cursor: pointer;
}

/* select option {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    background-color: #f80;
    
}

option:hover {
    background-color: #f80;
    color: #fff;
} */

button.btn.dropdown-toggle.btn-light {
    background-color: transparent;
    outline: none !important;
    border: 1px solid #ced4da;
    color: #505d69;
}

button.btn.dropdown-toggle.btn-light:hover {
    outline: none !important;
    color: #505d69;
}

button.btn.dropdown-toggle.btn-light.show::after {
    display: inline-block;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    border-top: 0;
    border-right: 0.3em solid transparent;
    border-bottom: 0.3em solid;
    border-left: 0.3em solid transparent;
}

button.btn.dropdown-toggle.btn-light::after {
    display: inline-block;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
}

.butAll {
    background-color: #428bca !important;
    border-color: #428bca;
    color: #fff;
}

.butAll span {
    color: #fff !important;
}

select.butAll {
    /* background-image: none; */
}

@media (max-width: 767.98px) {

    li.paginate_button.next,
    li.paginate_button.previous {
        font-size: 1rem !important;
    }

}

.dz-image,
.dz-details,
.dz-progress,
.dz-success-mark,
.dz-error-mark,
.dz-error-message {
    display: none;
}

.padBor {
    border-radius: 0.4rem 0.4rem 0 0;
    border: none !important;
}

.disFcetr {
    display: flex;
    align-items: center;
    white-space: normal;
    word-break: break-all;
}

/*  */
.beautifyScrollbar::-webkit-scrollbar-corner {
    background-color: black;
}

.beautifyScrollbar::-webkit-scrollbar-button {
    background-color: #eee;
    display: none;
}

.beautifyScrollbar::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

.beautifyScrollbar::-webkit-scrollbar-track {
    background-color: #f5f5f5;
    -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
}

.beautifyScrollbar::-webkit-scrollbar {
    width: 7px;
}

.bacSwitch {
    background-color: #FFF;
}

@media (min-width: 700px) {
    .page-content {
        padding-bottom: 0 !important;
    }
}

.dataTables_scrollHead, .dataTables_scrollBody {
    overflow: revert !important;
}

td i.text-success {
    color: #3b8c16 !important;
}

td > span > a,
td > div > a {
    color: #428bca !important;
    font-weight: 500;
}

.bootstrap-select .dropdown-menu li a {
    white-space: revert;
}

.modal-body img {
    cursor: pointer;
}

/* 后台按钮居中 */
.subAuto {
    text-align: center;
}